{{!-- {{log "party-rolls.hbs" this}} --}}
<div class="party-rolls-sheet">
    <div class="party-rolls">
        <div class="party-members">
            <div class="container-border">
                <div class="party-controls-grid">

                    {{!-- use selected tokens --}}
                    <div class="control-group">
                        <label for="useSelected">Use Selected Tokens:</label>
                        <label class="ars-switch">
                            <input type="checkbox" id="useSelected" name="useSelected">
                            <span class="slider"></span>
                        </label>
                    </div>

                    {{!-- actors --}}
                    <div id="multi-select-control-group" class="control-group">
                        <label for="Characters">Select Party Members:</label>
                        <multi-select name="actor-request-roll-select" id="actor-request-roll-select" data-placeholder="Select characters...">
                            <optgroup label="Characters">
                                <option value="all">{{localize "ARS.requestedRolls.all"}}</option>
                                {{selectOptions members selected="none" valueAttr="id" labelAttr="name" localize=true}}
                            </optgroup>
                        </multi-select>
                    </div>
                </div>

                {{!-- roll types --}}
                <div class="party-controls-grid">

                    {{!-- ability check --}}
                    <div class="control-group">
                        <label for="member-ability-select">Select Ability</label>
                        <select id="member-ability-select">
                            <option value="none" selected>{{localize "ARS.none"}}</option>
                            {{selectOptions config.abilities selected=system.ability localize=true}}
                        </select>
                    </div>

                    {{!-- saving throw --}}
                    <div class="control-group">
                        <label for="member-saves-select">Select Save</label>
                        <select id="member-saves-select">
                            <option value="none" selected>{{localize "ARS.none"}}</option>
                            {{selectOptions config.saves selected=system.save localize=true}}
                        </select>
                    </div>
                </div>

                {{!-- dice --}}
                <div class="party-controls-grid col-3">

                    {{!-- dice formula --}}
                    <div class="control-group">
                        <label for="member-dice-formula" data-tooltip="Enter a valid dice formula (e.g. 1d20, 1d3, 3d8)">Dice</label>
                        <input id="member-dice-formula" type="text" />
                    </div>

                    {{!-- dice formula target --}}
                    <div class="control-group">
                        <label for="member-dice-checktarget" data-tooltip="Set an optional target number to beat">Check Target</label>
                        <input id="member-dice-checktarget" type="text" />
                    </div>

                    {{!-- type --}}
                    <div class="control-group">
                        <label for="member-dice-type" data-tooltip="Set a roll type if check target">Type</label>
                        <select id="member-dice-type">
                            <option value="descending" selected>{{localize "ARS.skillTypes.decending"}}</option>
                            <option value="ascending">{{localize "ARS.skillTypes.ascending"}}</option>
                        </select>
                    </div>
                </div>

                {{!-- misc --}}
                <div class="party-controls-grid experimental">
                    <div class="control-group">
                        <label for="member-misc-select" data-tooltip="Experimental misc">Misc</label>
                        <select id="member-misc-select">
                            <option value="none" selected>{{localize "ARS.none"}}</option>
                            <option value="surprise">{{localize "ARS.requestedRolls.surprise"}}</option>
                        </select>
                    </div>

                    {{!-- desc --}}
                    <div class="control-group">
                        <label for="member-dice-desc" data-tooltip="Add a Description Label to the Request">Description</label>
                        <input id="member-dice-desc" type="text" />
                    </div>
                </div>
            </div>

            {{!-- requested rolls --}}
            {{#each this.items as |item id|}}
            <div class="item-list inventory container-border">
                <div class="general-header ars_clps{{#if (getViewState @root.actor.id (concat 'rr-' @key))}} ars_clps_on{{/if}}"
                    data-vs-control="{{concat 'rr-' @key}}">
                    {{capfirst (localize @key)}}
                </div>
                <div class="ars_clps_container item-list" style="overflow-x: hidden;">
                    <div class="general-subheader flexrow" style="text-align: left;">
                        <div>Name</div>
                        <div>Type</div>
                        <div>Result</div>
                    </div>
                    {{#each this}}
                    <li class="item flexrow reveal-hidden {{#if this.pending}}rr-pending{{/if}}" style="height: 25px;">

                        {{!-- character image --}}
                        <div class="item-image" aria-label="{{this.name}}" style="background-image: url('{{this.img}}')">
                        </div>

                        {{!-- name --}}
                        <div class="item-name rollable flexrow chatCard-roll" style="height: 25px; flex: .85;">
                            <div class="item-name text-trunc" style="height: 25px;">
                                <h4>{{this.name}}</h4>
                            </div>
                        </div>

                        {{!-- type --}}
                        <div class="item-details text-trunc">{{this.label}}</div>

                        {{!-- results --}}
                        <div class="item-details text-trunc">{{this.result}}</div>
                    </li>
                    {{/each}}
                </div>
            </div>
            {{/each}}

        </div>
        <br>
    </div>

    {{!-- main buttons --}}
    <footer class="directory-footer">
        <div class="party-controls-grid">
            <div class="control-group">
                <button type="button" id="btn-request-roll-clear" style="margin-top: 3px;" data-tooltip="Clear All Rolls">
                    <i class="fas fa-trash"></i> Clear
                </button>
            </div>
            <div class="control-group">
                <button type="button" id="btn-request-roll">
                    <i class="fas fa-dice-d20"></i> {{localize "ARS.roll"}}
                </button>
            </div>
        </div>
    </footer>
</div>